<?php
session_start();

	if($_SESSION["uqid"] == ""){
		exit;
	}
	
	//ファイルアップロード
	if(!empty($_FILES)){
		$face = new CUploaderModel('face_file',$_SESSION["config"]["directory_image"]);
		$file_base = $_SESSION["uqid"];
		$file_name = $file_base.'_face';
		$face->Upload($file_name);
		$_SESSION["face"] = $face->GetFiledata();
		
		$identification = new CUploaderModel('identification_file',$_SESSION["config"]["directory_image"]);
		$file_name = $file_base.'_ident';
		$identification->Upload($file_name);
		$_SESSION["ident"] = $identification->GetFiledata();
	}

	$to = $_SESSION["config"]["mail_to"];
	$from_add = $_SESSION["config"]["mail_from"];
	
	$question = array(
		"1" => "過去14日以内に、中国（香港、マカオを含む）、韓国、欧州全域、中東地域、アメリカ合衆国に滞在しましたか？（地域については最新情報に基づいて設定しますのでご注意ください）",
		"2" => "過去14日以内に、新型コロナウイルス感染症の感染者または感染者が多発したクルーズ船ダイヤモンドプリンセスに乗船していた人と接触、または接触した可能性がありますか？",
		"3" => "過去14日以内に、保健所、検疫所、政府機関、医療機関から新型コロナウイルス感染症に罹患している可能性がある、または自宅待機要請の連絡がきましたか？",
		"4" => "過去14日以内に、海外で発熱やせきなどの症状がある人との接触がありましたか？",
		"5" => "過去14日以内に渡航歴のある方で、日本への入国時に政府機関より14日間の行動自粛要請を受けましたか？",
		"6" => "体調に異常はありますか？",
		"7" => "持病（ぜんそく、生理痛、偏頭痛、腰痛、歯痛等）、アレルギー、怪我、精神疾患、手術後以外の理由で解熱剤、かぜ薬、痛み止めを使用していますか？",
		"8" => "中華人民共和国湖北省又は浙江省において発行された中国旅券を所持していますか？",
		"9" => "クルーズ船ウエステルダム、又はダイヤモンドプリンセスに乗船していましたか？",
	);
	
	$certificate = true;
	$certificate_msg = "入場[OK]";
	$problem = '';
	for($i=1;$i<10;$i++){
		if($monshin["q{$i}"]==1){
			$certificate = false;
			$certificate_msg = "入場[NG]";
			//$problem .= "設問{$i} \n";
			$problem .= "{$i} $question[$i] \n";
		}
	}
	$subject = $monshin['name'].' / '.$certificate_msg;
	
	$body ="";

	$body .= "[日付]\n".date('Y-m-d H:i:s')."\n\n";
	$body .= "[ID]\n".$_SESSION["uqid"]."\n\n";
	$body .= "[お名前]\n".$monshin['name']."(".$monshin['furigana'].")\n\n";
	$body .= "[住所]\n".$monshin['address']."\n\n";
	$body .= "[電話番号]\n".$monshin['tel']."\n\n";
	$body .= "[メールアドレス]\n".$monshin['email']."\n\n";
	if(!$certificate){
		$body .= "[NG質問番号]\n".$problem."\n\n";
	}
	
	mb_language("Japanese");
	mb_internal_encoding("UTF-8");
	
	$headers = 'From: '.$from_add . "\r\n";
	
	mb_send_mail($to, $subject, $body, $headers);


	
?>