		<div class="main-bg">
			<article class="medical">
			<div class="ttl">
				<h2>質問票</h2><br>
			</div>
			<br>
			<?php if(!empty($error_msg)){ ?>
			<p class="warning"><?php echo $error_msg; ?></p><br>
			<?php } ?>
			<form>
			<h3><?php echo $today; ?></h3>
			<br>
			<h3>氏名</h3>
			<input type="text" name="monshin[name]" value="<?php echo $monshin["name"]; ?>"><br>
			<br>
			<h3>氏名(ふりがな)</h3>
			<input type="text" name="monshin[furigana]" pattern="[\u3041-\u3096.\s\u3000.ー－]*" title="氏名(ふりがな)はひらがなでご記入下さい" value="<?php echo $monshin["furigana"]; ?>"><br>
			<br>
			<h3>住所</h3>
			<textarea name="monshin[address]"><?php echo $monshin["address"]; ?></textarea><br>
			<br>
			<h3>電話番号(電話番号は「-」無しでご記入下さい)</h3>
			<input type="tel" name="monshin[tel]" pattern="^0\d{9,10}" value="<?php echo $monshin["tel"]; ?>" title="電話番号は「-」無しの有効な番号をご記入下さい"><br>
			<br>
			<h3>メールアドレス</h3>
			<input type="email" name="monshin[email]" pattern="^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$" value="<?php echo $monshin["email"]; ?>" title="有効なメールアドレスをご記入下さい"><br>
			<br>
			<h3>メールアドレス(確認用)</h3>
			<input type="email" name="monshin[email_conf]" pattern="^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$" value="<?php echo $monshin["email_conf"]; ?>" title="有効なメールアドレスをご記入下さい"><br>
			<br>
			<h3>◆<span style="color:#ff0000;">過去14日以内</span>についてお聞きします。</h3>
			①過去14日以内に、中国（香港、マカオを含む）、韓国、欧州全域、中東地域、アメリカ合衆国に滞在しましたか？（地域については最新情報に基づいて設定しますのでご注意ください）<br>
			<input type="radio" name="monshin[q1]" value="1" <?php if($monshin["q1"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q1]" value="0" <?php if($monshin["q1"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			②過去14日以内に、新型コロナウイルス感染症の感染者または感染者が多発したクルーズ船ダイヤモンドプリンセスに乗船していた人と接触、または接触した可能性がありますか？<br>
			<input type="radio" name="monshin[q2]" value="1" <?php if($monshin["q2"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q2]" value="0" <?php if($monshin["q2"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			③過去14日以内に、保健所、検疫所、政府機関、医療機関から新型コロナウイルス感染症に罹患している可能性がある、または自宅待機要請の連絡がきましたか？<br>
			<input type="radio" name="monshin[q3]" value="1" <?php if($monshin["q3"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q3]" value="0" <?php if($monshin["q3"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			④過去14日以内に、海外で発熱やせきなどの症状がある人との接触がありましたか？<br>
			<input type="radio" name="monshin[q4]" value="1" <?php if($monshin["q4"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q4]" value="0" <?php if($monshin["q4"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			⑤過去14日以内に渡航歴のある方で、日本への入国時に政府機関より14日間の行動自粛要請を受けましたか？<br>
			<input type="radio" name="monshin[q5]" value="1" <?php if($monshin["q5"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q5]" value="0" <?php if($monshin["q5"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			<br>
			<h3>◆その他</h3>
			⑥体調に異常はありますか？<br>
			<input type="radio" name="monshin[q6]" value="1" <?php if($monshin["q6"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q6]" value="0" <?php if($monshin["q6"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			「はい」とお答えの方、該当する物にチェックしてください。<br>
			<input type="checkbox" name="monshin[q6_c1][1]" value="1" <?php if($monshin["q6_c1"][1]==1) echo 'checked'; ?>>発熱<br>
			<input type="checkbox" name="monshin[q6_c1][2]" value="1" <?php if($monshin["q6_c1"][2]==1) echo 'checked'; ?>>咳<br>
			<input type="checkbox" name="monshin[q6_c1][3]" value="1" <?php if($monshin["q6_c1"][3]==1) echo 'checked'; ?>>倦怠感<br>
			<input type="checkbox" name="monshin[q6_c1][4]" value="1" <?php if($monshin["q6_c1"][4]==1) echo 'checked'; ?>>息切れ<br>
			<input type="checkbox" name="monshin[q6_c1][5]" value="1" <?php if($monshin["q6_c1"][5]==1) echo 'checked'; ?>>頭痛<br>
			<input type="checkbox" name="monshin[q6_c1][6]" value="1" <?php if($monshin["q6_c1"][6]==1) echo 'checked'; ?>>その他<br>
			<br>
			⑦持病（ぜんそく、生理痛、偏頭痛、腰痛、歯痛等）、アレルギー、怪我、精神疾患、手術後以外の理由で解熱剤、かぜ薬、痛み止めを使用していますか？<br>
			<input type="radio" name="monshin[q7]" value="1" <?php if($monshin["q7"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q7]" value="0" <?php if($monshin["q7"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			<?php /*
			⑦解熱剤、かぜ薬、痛み止めを使用していますか？<br>
			<input type="radio" name="monshin[q7]" value="1" <?php if($monshin["q7"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q7]" value="0" <?php if($monshin["q7"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			*/ ?>
			⑧中華人民共和国湖北省又は浙江省において発行された中国旅券を所持していますか？<br>
			<input type="radio" name="monshin[q8]" value="1" <?php if($monshin["q8"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q8]" value="0" <?php if($monshin["q8"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			⑨クルーズ船ウエステルダム、又はダイヤモンドプリンセスに乗船していましたか？<br>
			<input type="radio" name="monshin[q9]" value="1" <?php if($monshin["q9"]==1) echo 'checked'; ?>>はい
			<input type="radio" name="monshin[q9]" value="0" <?php if($monshin["q9"]==0) echo 'checked'; ?>>いいえ<br>
			<br>
			<br>
			<h3>◆顔写真画像ファイル</h3>
			<input type="file" name="face_file" size="30"><br>
			<br>
			<br>
			<h3>◆身分証明書類画像ファイル</h3>
			<input type="file" name="identification_file" size="30"><br>
			<br>
			<br>
			<input id="consent" type="checkbox">上記偽りない事を保証し、<?php echo $_SESSION["config"]["company_name"]; ?>が本質問票記載の情報を保有することに同意します。<br>
			<br>
			<input type="hidden" name="monshin[token]" value="<?php echo $token; ?>">
			<div class="submit">
				<button id="send" disabled="disabled" formaction="" formmethod="post" formenctype="multipart/form-data" name="page" value="confirm">送信</button>
			</div>
			※虚偽の申告等が発覚した場合は損害賠償請求の対象となる場合がありますのでご注意ください。<br>
			※ご記入いただいた個人情報は、感染症の発生を予防し、及びそのまん延の防止を図り、もって公衆衛生の向上及び増進を図ることを目的として取得し、<?php echo $_SESSION["config"]["company_name"]; ?>の管理のもと、保健所その他の関連機関に提供する場合があり、お客様に保健所その他の関連機関から連絡があることがあります。<br>
			<br>
			</form>
			</article>
		</div>