<?php
include_once("./config.php");
include_once($system["directory"]."uploader.php");

$today = date("Y年m月d日");

if($_SESSION["access_ng"] == 1){
	include_once($system["directory"]."header.php");
	include_once($system["directory"]."access_ng.php");
	include_once($system["directory"]."footer.php");
	
	exit;
}

switch($_POST["page"])
{
case "confirm":

	include_once($system["directory"]."header.php");
	
	$error_msg = "";
	$error_flag = false;
	
	if(empty($monshin["name"])){
		$error_msg .= "「氏名」";
	}
	if(empty($monshin["furigana"])){
		$error_msg .= "「氏名(ふりがな)」";
	}
	if(empty($monshin["address"])){
		$error_msg .= "「住所」";
	}
	if(empty($monshin["tel"])){
		$error_msg .= "「電話番号」";
	}
	if(empty($monshin["email"]) || empty($monshin["email_conf"])){
		$error_msg .= "「メールアドレス」";
	}
	if(!empty($error_msg)){
		$error_msg .= "をご入力下さい。";
		$error_flag = true;
	}
	if($monshin["email"] != $monshin["email_conf"]){
		$error_msg .= "<br>メールアドレスが確認用アドレスと一致しません。";
	}
	if (!preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/", $monshin["email"])){
		$error_msg .= "<br>有効なメールアドレスを入力して下さい。";
	}
	if(empty($_FILES["face_file"]["name"]) || empty($_FILES["identification_file"]["name"])){
		$error_msg .= "<br>顔写真、身分証明書画像ファイルの送信をお願いします。";
		$error_flag = true;
	}
	if($monshin[q1]==1  || 
		$monshin[q2]==1 || 
		$monshin[q3]==1 || 
		$monshin[q4]==1 || 
		$monshin[q5]==1 || 
		$monshin[q6]==1 || 
		$monshin[q7]==1 || 
		$monshin[q8]==1 || 
		$monshin[q9]==1
		//$monshin[q10]==1
	){
		$error_msg .= "<br>申し訳ございませんが、ご入力された内容ではご入場頂くことは出来ません。";
		if(!$error_flag){
			include_once($system["directory"]."regist.php");
			$_SESSION["access_ng"] = 1;
		}
	}
	if(!empty($error_msg)){
		include_once($system["directory"]."input.php");
		break;
		
	}
	include_once($system["directory"]."regist.php");
	include_once($system["directory"]."header.php");
	include_once($system["directory"]."view.php");
	
	include_once($system["directory"]."sendmail.php");
	
	break;
default:
	include_once($system["directory"]."header.php");
	include_once($system["directory"]."input.php");
}
include_once($system["directory"]."footer.php");
